gh(1)

NAME

gh-release-create - Create a new release

SYNOPSIS

gh release create [...] [flags]

DESCRIPTION

Create a new GitHub Release for a repository.

A list of asset files may be given to upload to the new release. To define a display label for an asset, append text starting with '#' after the file name.

OPTIONS

-d, --draft[=false]
    Save the release as a draft instead of publishing it

-n, --notes=""
    Release notes

-F, --notes-file=""
    Read release notes from file

-p, --prerelease[=false]
    Mark the release as a prerelease

--target=""
    Target branch or commit SHA (default: main branch)

-t, --title=""
    Release title

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE

    # use release notes from a file
    $ gh release create v1.2.3 -F changelog.md
    # upload a release asset with a display label
    $ gh release create v1.2.3 '/path/to/asset.zip#My display label'

SEE ALSO

gh-release(1)